#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Assuan - an IPC library for non-persistent servers
Summary(pl.UTF-8):	Assuan - biblioteka IPC dla serwerów nie działających ciągle
Name:		libassuan
Version:	3.0.1
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://www.gnupg.org/ftp/gcrypt/libassuan/%{name}-%{version}.tar.bz2
# Source0-md5:	6f0d239302ae3b8d4aefcb499b137530
Patch0:		%{name}-info.patch
Patch1:		%{name}-ac.patch
URL:		https://www.gnupg.org/related_software/libassuan/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.14
BuildRequires:	libgpg-error-devel >= 1.29
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	texinfo
Requires:	libgpg-error >= 1.29
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the IPC library used by GnuPG 2, GPGME and a few other
packages. It used to be included with the latter packages but the
authors decided to make your life not too easy and separated it out to
a stand alone library.

%description -l pl.UTF-8
To jest biblioteka komunikacji międzyprocesowej (IPC) używana przez
GnuPG 2, GPGME oraz parę innych pakietów. Była dołączana do tych
pakietów, ale autorzy zdecydowali, żeby już nie ułatwiać tak życia i
wydzielili ją.

%package devel
Summary:	Header files for assuan library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki assuan
Group:		Development/Libraries
Conflicts:	libassuan1-devel
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgpg-error-devel >= 1.29

%description devel
Header files for assuan library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki assuan.

%package static
Summary:	Static assuan library
Summary(pl.UTF-8):	Statyczna biblioteka assuan
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static assuan library.

%description static -l pl.UTF-8
Statyczna biblioteka assuan.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libassuan.la

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libassuan.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libassuan.so.9

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libassuan.so
%{_includedir}/assuan.h
%{_aclocaldir}/libassuan.m4
%{_infodir}/assuan.info*
%{_pkgconfigdir}/libassuan.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libassuan.a
%endif
%changelog
* Tue Aug 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libassuan.git;a=log;h=master

* Tue Aug 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 593b665
- updated to 3.0.1 (symbol versioning changed)

* Sun Jun 23 2024 Jakub Bogusz <qboosh@pld-linux.org> f6a449b
- updated to 3.0.0 (new soname); drop libassuan-config (in favour of gpgrt-config) and .la file (in favour of .pc file)

* Wed Mar 06 2024 Jan Palus <atler@pld-linux.org> 4b01701
- up to 2.5.7

* Mon Jun 19 2023 Jan Palus <atler@pld-linux.org> 2ca7d3a
- up to 2.5.6

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> b5d6ff9
- rebuild with separate debuginfo build-ids

* Mon Mar 22 2021 Jan Palus <atler@pld-linux.org> a75cb07
- up to 2.5.5

* Sat Oct 24 2020 Jakub Bogusz <qboosh@pld-linux.org> fc0c269
- updated to 2.5.4

* Tue Feb 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 687a3a1
- updated to 2.5.3

* Sat Dec 22 2018 Jan Palus <atler@pld-linux.org> d951380
- up to 2.5.2

* Fri Jan 19 2018 Marcin Krol <hawk@tld-linux.org> 1495655
- updated to 2.5.1

* Tue Dec 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 1963008
- updated to 2.4.5

* Fri Nov 17 2017 Jakub Bogusz <qboosh@pld-linux.org> fde44fe
- updated to 2.4.4

* Sat Jul 30 2016 Jakub Bogusz <qboosh@pld-linux.org> 33e0c94
- updated to 2.4.3

* Fri Jan 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 50c81fa
- updated to 2.4.2

* Thu Nov 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 66ffd34
- updated to 2.4.1

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 17bcb12
- updated to 2.4.0

* Mon Sep 07 2015 Jakub Bogusz <qboosh@pld-linux.org> e93eda5
- updated to 2.3.0

* Wed May 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 1554b6c
- updated to 2.2.1
- removed obsolete texinfo patch

* Thu Feb 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 3ad9d8b
- updated to 2.2.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c6230be
- x32 rebuild
- release 2 (by relup.sh)

